summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-04-04 23:23:28 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-04-04 23:24:29 +0300
commitcbcfac0ac1534a81fe8ee9bf58d17f1ed89cba54 (patch)
treee69c13679810caa7721dc97f26100c9bf5acf6da /net-fs
parentdev-libs/libmspack: fixup metadata.xml (diff)
downloadgentoo-cbcfac0ac1534a81fe8ee9bf58d17f1ed89cba54.tar.gz
gentoo-cbcfac0ac1534a81fe8ee9bf58d17f1ed89cba54.tar.bz2
gentoo-cbcfac0ac1534a81fe8ee9bf58d17f1ed89cba54.zip
net-fs/mc: Vendor dependencies
Closes: https://bugs.gentoo.org/682098 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/mc/Manifest27
-rw-r--r--net-fs/mc/mc-2019.03.28.20.43.56.ebuild47
2 files changed, 69 insertions, 5 deletions
diff --git a/net-fs/mc/Manifest b/net-fs/mc/Manifest
index 0b1ed34930d..fbd6e90df15 100644
--- a/net-fs/mc/Manifest
+++ b/net-fs/mc/Manifest
@@ -1,3 +1,30 @@
+DIST github.com-cheggaaa-pb-f907f6f5dd81f77c2bbc1cde92e4c5a04720cb11.tar.gz 11788 BLAKE2B c7726ecd41c5d8909e157a38db429327d09873b4a4661cb7607893067c362487339b33eb24f122df7ea98e81bd4556884b831014a6948a108b74c71f521f1296 SHA512 47f0985138603631d59915b01fc99b4d4fc44ea964e1ad50b472cabec0fdf57f6235dc05ad32629bc086bc3f1fe25c2a3a31be064f91d398fdf37799fe4aa8db
+DIST github.com-dustin-go-humanize-9f541cc9db5d55bce703bd99987c9d5cb8eea45e.tar.gz 17263 BLAKE2B 6915367735a060d873947d805b49b1a6900080019cd5c21183c11850a0fb5292ea6c93576d7bbc8939e6b0f1e31501c44b38e5c97c09fb5685053b50142de092 SHA512 713ed1188affab7954efd4a6656d0bc82368b2c71e5604afbdcf9ea1ead401b821c443d5cd1c634964139d76fcf69d9a4b0efec4079f0b2335b1c15ca042d0b2
+DIST github.com-fatih-color-5b77d2a35fb0ede96d138fc9a99f5c9b6aef11b4.tar.gz 818356 BLAKE2B 8b9fb3b45ad4af90c26a0f197d9cb07ee22484006a396218d617e7992cc0e65dc3d3c8dab894e692eecad75d8aeaf6e5c8a34849e4d7892a10fecae3a8ecbf2f SHA512 4966b347777fb41f23c26a35511083886d67bf79ce74944a888ab29bacf6e33a753ade90df37321751167df054301fb4276452c3722dd0120cce9f4757ebec2d
+DIST github.com-go-ini-ini-c85607071cf08ca1adaf48319cd1aa322e81d8c1.tar.gz 35081 BLAKE2B 7adf1e84f4fb23632f9bbeaa53e3d5b6a12244999cc5b744f12439459be4921a271d85e3e2dfbec08fa12b1dec27016e78805c600d7d4798bb84aaef5756e49b SHA512 b2758ad40b532e30581f41b2cf609042388acfb037848858c394c0edf444181942061fceba6be76aa7913e62954cc14552ace7b4634d731a6bbe473275655aee
+DIST github.com-golang-crypto-a5d413f7728c81fb97d96a2b722368945f651e78.tar.gz 1656797 BLAKE2B 6b7e3f776b396786125582332fcf90e6b2452a06856a8b13cb2d84a882c5c563af79b8c37232f15410ae90b309e93044dcb6e0a5948d4e25b9730cc541534d16 SHA512 57a9606845a27459703d3757e001303d2f67c88efa4d021d4aa09314ddcc85fe95c9db2ff4aa08639b6be49cc751d82c35134a587987a896f64bb103af89adee
+DIST github.com-golang-net-b630fd6fe46bcfc98f989005d8b8ec1400e60a6e.tar.gz 976663 BLAKE2B 6eadc2d2da8ae01bc77d896ea8073377190366bacc5da127bd4c93fd2e2163493ca0222d58ce6133444daba89bba328a12d557b2a5b395c3d05a701d037c5f07 SHA512 c0ebb41e39f0289d935dbbc196080e5c9d7d6f25901e47d8a23e8a63a22b89a6539ea1b4e85ecff7e2fc930654f7f1a85096fb18b1a9d6a9dd86fa6b134f154a
+DIST github.com-golang-sys-81d4e9dc473e5e8c933f2aaeba2a3d81efb9aed2.tar.gz 1262962 BLAKE2B 082ce1d2924efe2090c735b5338b4afb24cee1109d445ad12241fba95413fdbb5a1b5ed3425d4822a610b38cdf2fad7d3fa5af2d306ab396746fa38d1d11195a SHA512 04cda320e2c5c5dad102657725d3c94289937194836c28c4633b150fcb691123b12f8eeeb8538f76e747c5626ccb9dc12667fce362b96448195a9cc332045db2
+DIST github.com-golang-text-6f44c5a2ea40ee3593d98cdcc905cc1fdaa660e2.tar.gz 6585336 BLAKE2B 1650f1389b0f31a9177f203fc1c4eeb4fe734f5c21713223cd76bd556b21a6ba4c35295f1997051ec3936f56bef51012a8aac592f5ffe7c43f6bc7fb2d755adb SHA512 92031dc6e2ad393926e5b65e9bdd494735159d13821ec6f7642414b9ae023b08838af277ef648c35353e8c2950f0a21bc418af144291aa8b69e099aecdc42241
+DIST github.com-h2non-filetype-cc14fdc9ca0e4c2bafad7458f6ff79fd3947cfbb.tar.gz 686090 BLAKE2B bc657b96f624b5f189603d052cea2fd3ae781009639db200d486a3e0e63b6de888db5fd9673b9e772b7215ebaf7a195cd5cb3275472bcc0ab84cfd9a82e7081d SHA512 6355a944ed19c254112c90f1e2048bdcdf9e63b59a59ba51288e729484538b2bab7f4ebe80e629df993456431ce2aec5502cc1cc3273919e023da3da651430a6
+DIST github.com-hashicorp-errwrap-8a6fb523712970c966eefc6b39ed2c5e74880354.tar.gz 8348 BLAKE2B 1c6dc8b0cd7ba0daa33df47056af538fd289b05c0efd72684d088f0043ef057ef6c5a6089d62bd99d17c57bf840370c319cd1201df54cac395d589322f7ce60b SHA512 f2b676d8728965e320f99444e2ab8ed3aa609f0714d7424ee576548260c2d5be5f6ea09397554d7dbfae73b51b23a4d14ff6d9385e6b25ac68fd40e8f535780b
+DIST github.com-hashicorp-go-multierror-886a7fbe3eb1c874d46f623bfa70af45f425b3d1.tar.gz 10070 BLAKE2B 93839f82ee11d020e0ce586c2bc1b2e5d3294dc03b6faa3e62e2ed67c3126e7f96330c358dc54d91ccb9b0351946bb114763ecb38a02176d2844b2d8df3fc96e SHA512 d65e7210502081f927035dfa61b099e67b94a3271f479921c1a48ca079f3ba759f5598d19b5ce9c30c07085fd180d77cacbb1627fde391f49eb0f3ed30c5a35a
+DIST github.com-hashicorp-go-version-d40cf49b3a77bba84a7afdbd7f1dc295d114efb1.tar.gz 12769 BLAKE2B ec65b37a122c3cd7aa220e980618b7697a9b9aae56febfe025a0df3064f5819c999c36be627bd2c70fd6a96d55ed4071bb79339f30e62cde74ae224200dec8fc SHA512 343a8bb8c7b5d540dfc4dce78dd0681a5f5d24e85de62488fff08e3feb74fb5a5a3827f25a3ec0c1be191e9dcb07969732d34ab7452f4a57e9db05d1eac8524b
+DIST github.com-howeyc-gopass-bf9dde6d0d2c004a008c27aaee91170c786f6db8.tar.gz 11295 BLAKE2B b8d611a2f5410ecda182de54c21c57317ce5191e35d744a87eb5a546b0e8ab7f329a561537df620cb17ff92826a30699e6358e31f2c2dbbb19dc6407e2893a2f SHA512 d502e33fd19784f76d04e3ff7218a055b6b0f16ac9f53bd526ec15ff3f94ba2729aea534313d18ae62aa586993fa8ff2fdfafbea7be84a002f8d7e19ae7f951c
+DIST github.com-inconshreveable-go-update-8152e7eb6ccf8679a64582a66b78519688d156ad.tar.gz 27126 BLAKE2B 0972b3af87057486bbb85bf79ed5894eb6531ee9966b8048f0f35baa750a868a697c2103d0f26e5040d96a24ce5a9c4ee0f6ed27e262f4618e2d60165cbdba13 SHA512 6343652b5c8e5056240cc0eafae7c37772a24fd791b8cea44036af502257e403ec374bf224437391da3b596cfe6d6aa1f3889d24e5b62d42e3ddc2fbe66d696e
+DIST github.com-mattn-go-colorable-3a70a971f94a22f2fa562ffcc7a0eb45f5daf045.tar.gz 8518 BLAKE2B e0c475aa8ca1a8c3488fe676f547f40a4f2cf6e655262c0c5875074d907509ff45d56c969240b9b43b4aca1dc58340a5828c7b8bddcd26428663eae399ff1905 SHA512 ec88288aa9d0c3a6e1b38f74e0c44ab8e8a7dfab49bd1ed83d9cb3b4019a7651555e07003bc70eae5a18ee213870538015bdb81646f43bb09815585f3dd0d25d
+DIST github.com-mattn-go-isatty-6ca4dbf54d38eea1a992b3c722a76a5d1c4cb25c.tar.gz 3383 BLAKE2B 2034048312c4abc88a813d8ad83013f57e9a23477ecd847e92c3cf30e909e209f9a65acacf41d80b3569770c1400e338115c42fd48d358b66f68ccde69a9008d SHA512 1714a9e9ac7ad2ff30825328723b4c9a5c5f7544e876c6fe79b84c72ba1dd9bfcd6ded2308f6fcae8f1c893d22b84d6c72dfd30742edaa2a5b0d8e88eee27421
+DIST github.com-mattn-go-runewidth-3ee7d812e62a0804a7d0a324e0249ca2db3476d3.tar.gz 19845 BLAKE2B 5512128da165241ee85c1761d86d8a780f5bb57474c66c49ff796a1a7bd3b59ce1dfc2dae04bf8b032f1939fbceacc60355a0eb9ae1fa4619418ed7b934153c7 SHA512 456bb5314164373c8589109f8333e29c397c44e4d9882b544e86b2870a44d75ba397dfb58287908d305c6928b098097decec753701eba5c17192479c900366ac
+DIST github.com-minio-cli-8683fa7fef37cc8cb092f47bdb6b403e0049f9ee.tar.gz 57326 BLAKE2B 9e82904f852ff05d3809770762f1137116e6e4a421a5b4a9ba483f48b24287a4dfaeaca90bbe738a694b44f010d86c6fe33a2383e9c60bac728b5619071f1bf4 SHA512 e2aeb507392d34fb2908c3426de6b6b5b662ac88534d46a392a463f1447fc9c21945064482c22b02cc2ecc2c889a30e38c37d37b50117a05959b258f60c6de54
+DIST github.com-minio-minio-0250f7de678bbca5ad8bbfd50e2f65133feb06e2.tar.gz 9261525 BLAKE2B 9f5c122a3199dd809f8a555c9f2f91a2a7fb0a9a2ea19c57dc3b6bb24a83583ff3f6e3846ca0c9902d8b482e8a51d8895de73a5f2b66339b3fcf7f906898e719 SHA512 e66d1403e97b1b120dc502e715f3c9aa546956973827a9fed26c01d8ae5210ba2969f66957f387fb9876d7a3e55b9350baf32d7fb205a943ae06cf9a034ae5fe
+DIST github.com-minio-minio-go-5d20267d970d9e514bbcb88b37b059bb5321ff60.tar.gz 190339 BLAKE2B 1a119a8f57742c1336a110458b0c114a618c07dfdc0d70749a7800b101e252da4b58a1103e2bf16ffc5445987a235ea9d57045f08b001ec92df5991725dd9707 SHA512 b1ad2961977572c2195982d170ec93d250304594720d9e4bc8052fd13cd2e3eaa838198d983050dc5e28cc46fbe39b6bbe44be5a1300fed30a7ed1abc5740679
+DIST github.com-minio-sha256-simd-05b4dd3047e5d6e86cb4e0477164b850cd896261.tar.gz 64938 BLAKE2B 0e36ec0383b136b0471bfc71dfb5062c7cd1b1d0708f2f5a58ece02a45b819bcd3691d85f35c66ed8a90cb4d362b86182a185916fc29e0c16f39c602fb9894eb SHA512 36330af07ffec389c92f0769bf01188de7156f2d73eeedc03280a1b4000f3a0fed156737c3b1e6554579a7570f156dcd16f52a895b661da51628496221b9b593
+DIST github.com-mitchellh-go-homedir-af06845cf3004701891bf4fdb884bfe4920b3727.tar.gz 3362 BLAKE2B 6b6381ba8b7bfa05b0ca04b8492d9f66d0a5c76c41db3476fd0f1fac01ff38f50465953b64f48b00859e28a5725feb056f3c1bfe1234376d00e2e37fd2d71a73 SHA512 049d31e1ebe03ad0f7312819414aefac9958cce3ef14704af32104af6140f31a62a23579a12bed80e8514147ec4a93bec8eaf0f8cba8cceaeecd05d577273b3a
+DIST github.com-pkg-profile-f6fe06335df110bcf1ed6d4e852b760bfc15beee.tar.gz 5838 BLAKE2B dd40dd8ee0cd6b9c7f4d48a9cd4dfb351fb229bbb9dfdb7f1583eb950cf846f3000064dfb7df2766a7d65fc2e2bbcfa6e065ea0fbf8dd8f7911a534c08eb9919 SHA512 87249685beb8a5bbdf0b9761347ea1095ff67c7bbabf3f60f3b0eac49f607d138237dd21fe04680174666a12d135daa03261ca08bc348797ec2fc68ad6aad957
+DIST github.com-pkg-xattr-dd870b5cfebab49617ea0c1da6176474e8a52bf4.tar.gz 8305 BLAKE2B 0868ffd67db0b3a09137968163b71efdc792d8ae9966b1237c85d0e9c6fad9d145099c237c617ea8fd99aa50c903e8bf32ccd8c9caaa72006eb7387104bbe371 SHA512 ee8a75ba7b25c62007c5b3149a89f25fd92343c2220e1445374d9c75e9ff96387ed8b7443b8fd77019e07a727362aedc3149f6439e0132a27d78694debbea31d
+DIST github.com-posener-complete-3ef9b31a6a0613ae832e7ecf208374027c3b2343.tar.gz 20837 BLAKE2B fc698ecd8e975949bfd29132f3352918fd7dc6b7b4e12be1eb160206edf6212b5908909714bbdad94d83fe207bcc660a9d71a76ccbf393d79060d4f65064d9eb SHA512 f21716802458621c4b10637fd13191725311d21c9f676da1b811ae0d9eda48f4dd2fb977d30b596c73be2c11f9bab702e178af2fe70bbdfc45a2e3344b535711
+DIST github.com-rjeczalik-notify-69d839f37b13a8cb7a78366f7633a4071cb43be7.tar.gz 56861 BLAKE2B a9573260bbe408c7726992937cebb254e5f488e7b879c84efdf2103bd97bc7a21ab7acf80d565226680b8022a5dc1d4c3a2e8d85a6b139d39bf249eef94f2ddc SHA512 5723d8bcc40b34727167cfe8c4fb7ffdb45837885638c392078755240b0ae46de6243ff83530bafe379e332e2a6797412552ae8d2d0abbb3a00cb61ec122d876
+DIST github.com-segmentio-go-prompt-f0d19b6901ade831d5a3204edc0d6a7d6457fbb2.tar.gz 1735 BLAKE2B 129b813439dc2c15e6ed6b74cabacf8f4d59f3301b1530788dd2f0da6add921780993f72d5292d22ada44ad1dedfa95c29b2505f33463e9afb85d86ddc64dcd6 SHA512 745223f0370248a9233fa1940bcae461c3810353876441b5d0a81fef021ec426611628debde6a41b1973d1f7c3d2dff1600b5180ebff97b121027734c0bce8e2
DIST mc-2019.01.10.00.38.22.tar.gz 1791858 BLAKE2B ae89c935634190e347be8c2f0a3dfff12872b4eca7aa17b79b5e05d7cb9be6fe39ff7b0ccbb6ddf5851ae3ee84a89eebf289d801340519e91470b3f5c60f7c37 SHA512 626e5adf5a3dcda0945e5fb37394097550f2976626da50e795b389d1d78545b1a2907c9b9fded5ce26823694e7e3981a69fa18ed00ae21d5c405c69c165ae1ce
DIST mc-2019.01.24.01.40.23.tar.gz 1791330 BLAKE2B a3fb0cb2cc199f4fe21c7770d58a3278d6a89a90916bd604293a5845064e337d36a5ac2e565d785a440803b6deefd84f114115a8f06dfc38d234225daa66a55e SHA512 215f91a8f4f325ffb8714d92a8030c36ada5251df4b24cb1d9b82d7f8d6c0f1188dfc2fdc36b1dcf8d842a805ccba3965977908a01e39e7893e05b131eb3b9b9
DIST mc-2019.01.30.19.57.22.tar.gz 1792065 BLAKE2B bb4a43549f5ff520c944a057fdecb80e892b03d9bdcce918613221357049e7ffcd77d51dce44b1253a3c912762749515d823cc8fe14a2dc8fb72060ff3943bd6 SHA512 14892985cdeba341c71bb93e41d468cae1f763fa7eb7489e0172a9bdb19e0f65efe41af0c2022e4c30c4018c6ee511bd992dc2b8906275c25896f084621ce96a
diff --git a/net-fs/mc/mc-2019.03.28.20.43.56.ebuild b/net-fs/mc/mc-2019.03.28.20.43.56.ebuild
index 927f40765b1..c29be22e715 100644
--- a/net-fs/mc/mc-2019.03.28.20.43.56.ebuild
+++ b/net-fs/mc/mc-2019.03.28.20.43.56.ebuild
@@ -1,9 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit eapi7-ver golang-build golang-vcs-snapshot
+EGO_VENDOR=( "github.com/pkg/profile f6fe06335df110bcf1ed6d4e852b760bfc15beee"
+ "gopkg.in/h2non/filetype.v1 cc14fdc9ca0e4c2bafad7458f6ff79fd3947cfbb github.com/h2non/filetype"
+ "gopkg.in/mattn/go-isatty 6ca4dbf54d38eea1a992b3c722a76a5d1c4cb25c github.com/mattn/go-isatty"
+ "github.com/pkg/xattr dd870b5cfebab49617ea0c1da6176474e8a52bf4"
+ "golang.org/x/text 6f44c5a2ea40ee3593d98cdcc905cc1fdaa660e2 github.com/golang/text"
+ "github.com/mitchellh/go-homedir af06845cf3004701891bf4fdb884bfe4920b3727"
+ "golang.org/x/sys 81d4e9dc473e5e8c933f2aaeba2a3d81efb9aed2 github.com/golang/sys"
+ "github.com/cheggaaa/pb f907f6f5dd81f77c2bbc1cde92e4c5a04720cb11"
+ "github.com/mattn/go-runewidth 3ee7d812e62a0804a7d0a324e0249ca2db3476d3"
+ "github.com/mattn/go-colorable 3a70a971f94a22f2fa562ffcc7a0eb45f5daf045"
+ "github.com/dustin/go-humanize 9f541cc9db5d55bce703bd99987c9d5cb8eea45e"
+ "github.com/fatih/color 5b77d2a35fb0ede96d138fc9a99f5c9b6aef11b4"
+ "github.com/hashicorp/go-version d40cf49b3a77bba84a7afdbd7f1dc295d114efb1"
+ "github.com/inconshreveable/go-update 8152e7eb6ccf8679a64582a66b78519688d156ad"
+ "github.com/mattn/go-isatty 6ca4dbf54d38eea1a992b3c722a76a5d1c4cb25c"
+ "golang.org/x/net b630fd6fe46bcfc98f989005d8b8ec1400e60a6e github.com/golang/net"
+ "golang.org/x/crypto a5d413f7728c81fb97d96a2b722368945f651e78 github.com/golang/crypto"
+ "github.com/segmentio/go-prompt f0d19b6901ade831d5a3204edc0d6a7d6457fbb2"
+ "github.com/rjeczalik/notify 69d839f37b13a8cb7a78366f7633a4071cb43be7"
+ "github.com/posener/complete 3ef9b31a6a0613ae832e7ecf208374027c3b2343"
+ "github.com/minio/sha256-simd 05b4dd3047e5d6e86cb4e0477164b850cd896261"
+ "github.com/hashicorp/go-multierror 886a7fbe3eb1c874d46f623bfa70af45f425b3d1"
+ "github.com/hashicorp/errwrap 8a6fb523712970c966eefc6b39ed2c5e74880354"
+ "github.com/minio/cli 8683fa7fef37cc8cb092f47bdb6b403e0049f9ee"
+ "github.com/minio/minio-go 5d20267d970d9e514bbcb88b37b059bb5321ff60"
+ "github.com/minio/minio 0250f7de678bbca5ad8bbfd50e2f65133feb06e2"
+ "github.com/howeyc/gopass bf9dde6d0d2c004a008c27aaee91170c786f6db8"
+ "gopkg.in/ini.v1 c85607071cf08ca1adaf48319cd1aa322e81d8c1 github.com/go-ini/ini" )
+
+inherit golang-build golang-vcs-snapshot
MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
MY_PV=${MY_PV//./-}
@@ -14,7 +43,8 @@ EGO_PN="github.com/minio/mc"
DESCRIPTION="Minio client provides alternatives for ls, cat on cloud storage and filesystems"
HOMEPAGE="https://github.com/minio/mc"
-SRC_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz
+ ${EGO_VENDOR_URI}"
LICENSE="Apache-2.0"
SLOT="0"
@@ -24,11 +54,17 @@ RDEPEND="!!app-misc/mc"
src_prepare() {
default
+
+ pushd src/${EGO_PN} || die
+ rm go.mod || die
+
sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
-e "s/-s //"\
-e "/time/d"\
-e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
- src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+ buildscripts/gen-ldflags.go || die
+
+ popd || die
}
@@ -36,6 +72,7 @@ src_compile() {
unset XDG_CACHE_HOME
pushd src/${EGO_PN} || die
+
MC_RELEASE="${MY_PV}"
GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
popd || die
@@ -47,4 +84,4 @@ src_install() {
dodoc -r README.md CONTRIBUTING.md docs
dobin mc
popd || die
-}
+} \ No newline at end of file